/*  Example for ClassAct penmap.image example 40.2 */
/*  Original C example by Phantom Development      */
/*  Ported to E by Eric Sauvageau                  */

-> Required modules

MODULE 'exec/types','intuition/imageclass','intuition',
       'intuition/gadgetclass','intuition/intuition','utility/tagitem'

MODULE 'penmap','images/penmap','tools/classact_lib'

DEF penmapbase,
    win:PTR TO window,
    image_object:PTR TO image


PROC main()
DEF msg:PTR TO intuimessage, done=FALSE

-> Open the window.

   win:=OpenWindowTagList(NIL,
           [WA_FLAGS ,(WFLG_DEPTHGADGET OR WFLG_DRAGBAR OR
                       WFLG_CLOSEGADGET OR WFLG_SIZEGADGET),
            WA_IDCMP, (IDCMP_CLOSEWINDOW OR IDCMP_NEWSIZE),
            WA_INNERWIDTH, 60,
            WA_INNERHEIGHT, 45,
            WA_MAXWIDTH, -1,
            WA_MAXHEIGHT, -1,
            WA_ACTIVATE, TRUE,
            WA_SMARTREFRESH, TRUE,
            WA_TITLE, 'ClassAct penmap.image Demo',
            TAG_DONE])

   IF win

-> Open the penmap.image class.

      IF (penmapbase := openClass('Images/penmap.image',40))

-> Alloc a new object.

         image_object := NewObjectA(PenMap_GetClass(), NIL,
                           [PENMAP_RENDERDATA, {image_data},
                            PENMAP_PALETTE, {palette_data},
                            PENMAP_SCREEN, win.wscreen,
                            TAG_DONE])

         IF image_object

-> Set its attributes.

             SetAttrsA(image_object,
               [IA_WIDTH,  (win.width - (win.borderleft + win.borderright + 10)),
               IA_HEIGHT, (win.height - (win.bordertop + win.borderbottom + 10)),
               TAG_DONE])

             DrawImageState(win.rport,
                image_object,
                (win.borderleft + 5),
                (win.bordertop + 5),
                IDS_NORMAL, NIL)

-> Handle it.
             WHILE done=FALSE
                WaitPort(win.userport)
                WHILE (msg := GetMsg(win.userport))

                   IF (msg.class = IDCMP_CLOSEWINDOW)
                      done := TRUE

                   ELSEIF (msg.class = IDCMP_NEWSIZE)
                      SetAttrsA(image_object,
                         [IA_WIDTH, (win.width - (win.borderleft + win.borderright + 10)),
                          IA_HEIGHT, (win.height - (win.bordertop + win.borderbottom + 10)),
                          TAG_DONE])

                      SetAPen(win.rport,0)

                      RectFill(win.rport,
                         win.borderleft,
                         win.bordertop,
                         (win.borderleft + win.width - (win.borderright + win.borderleft + 1)),
                         (win.bordertop + win.height - (win.bordertop + win.borderbottom + 1)))

                      DrawImageState(win.rport,
                          image_object,
                          (win.borderleft + 5),
                          (win.bordertop + 5),
                          IDS_NORMAL,
                          NIL)
                   ENDIF
                   ReplyMsg(msg)
                ENDWHILE
             ENDWHILE
         ENDIF
      ENDIF
   ENDIF

-> Cleanup.

   IF image_object THEN DisposeObject(image_object)
   IF win THEN CloseWindow(win)
   IF penmapbase THEN CloseLibrary(penmapbase)
ENDPROC


palette_data:
LONG 8,
         $99999999, $99999999, $99999999,
         $00000000, $00000000, $00000000,
         $FFFFFFFF, $FFFFFFFF, $FFFFFFFF,
         $33333333, $66666666, $AAAAAAAA,
         $77777777, $77777777, $88888888,
         $AAAAAAAA, $AAAAAAAA, $AAAAAAAA,
         $AAAAAAAA, $88888888, $77777777,
         $EEEEEEEE, $99999999, $77777777


image_data:
CHAR   0,112, 0,118
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$02
     CHAR	$05,$05,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$02,$03
     CHAR	$03,$03,$04,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$02,$03,$03
     CHAR	$03,$03,$03,$03,$01,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$02,$07,$03,$03
     CHAR	$03,$03,$03,$03,$03,$01,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$02,$07,$07,$07,$07
     CHAR	$01,$00,$04,$03,$01,$00,$01,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$02,$07,$07,$07,$07,$02
     CHAR	$05,$01,$00,$04,$01,$01,$03,$01
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$02,$07,$07,$07,$07,$02,$02
     CHAR	$02,$05,$01,$00,$03,$03,$03,$03
     CHAR	$01,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$02,$07,$07,$07,$07,$02,$02,$02
     CHAR	$02,$02,$05,$01,$00,$03,$03,$03
     CHAR	$03,$01,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$02
     CHAR	$07,$07,$07,$07,$02,$02,$02,$04
     CHAR	$02,$02,$02,$05,$01,$00,$03,$03
     CHAR	$03,$03,$01,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$02,$07
     CHAR	$07,$07,$07,$02,$02,$02,$04,$02
     CHAR	$02,$02,$02,$02,$05,$01,$03,$03
     CHAR	$03,$03,$03,$01,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$02,$07,$07
     CHAR	$07,$07,$02,$02,$02,$04,$02,$02
     CHAR	$02,$05,$02,$02,$02,$05,$01,$00
     CHAR	$03,$03,$03,$03,$01,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$02,$07,$07,$07
     CHAR	$07,$02,$02,$02,$04,$02,$02,$02
     CHAR	$05,$02,$02,$02,$02,$02,$05,$01
     CHAR	$00,$03,$03,$03,$03,$01,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$02,$07,$07,$07,$07
     CHAR	$02,$02,$02,$04,$02,$02,$02,$05
     CHAR	$02,$02,$02,$04,$02,$02,$02,$05
     CHAR	$01,$00,$03,$03,$03,$03,$01,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$02,$07,$07,$07,$07,$02
     CHAR	$02,$02,$04,$02,$02,$02,$05,$02
     CHAR	$02,$02,$04,$02,$02,$02,$02,$02
     CHAR	$05,$01,$00,$03,$03,$03,$03,$01
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$02,$07,$07,$07,$07,$02,$02
     CHAR	$02,$04,$02,$02,$02,$05,$02,$02
     CHAR	$02,$04,$02,$02,$02,$05,$02,$02
     CHAR	$02,$05,$01,$00,$03,$03,$03,$03
     CHAR	$01,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$02,$07,$07,$07,$07,$02,$02,$02
     CHAR	$04,$02,$02,$02,$05,$02,$02,$02
     CHAR	$04,$02,$02,$02,$05,$02,$02,$02
     CHAR	$02,$02,$05,$01,$00,$03,$03,$03
     CHAR	$03,$01,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$02
     CHAR	$07,$07,$07,$07,$02,$02,$02,$04
     CHAR	$02,$02,$02,$05,$02,$02,$02,$04
     CHAR	$02,$02,$02,$05,$02,$02,$02,$04
     CHAR	$02,$02,$05,$01,$05,$03,$03,$03
     CHAR	$03,$03,$01,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$02,$07
     CHAR	$07,$07,$07,$02,$02,$02,$04,$02
     CHAR	$02,$02,$05,$02,$02,$02,$04,$02
     CHAR	$02,$02,$05,$02,$02,$02,$04,$02
     CHAR	$02,$02,$01,$05,$03,$03,$03,$03
     CHAR	$03,$03,$03,$01,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$02,$07,$07
     CHAR	$07,$07,$02,$02,$02,$04,$02,$02
     CHAR	$02,$05,$02,$02,$02,$04,$02,$02
     CHAR	$02,$05,$02,$02,$02,$04,$02,$02
     CHAR	$02,$01,$05,$03,$03,$03,$03,$03
     CHAR	$03,$03,$03,$03,$01,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$02,$07,$07,$07
     CHAR	$07,$02,$02,$02,$04,$02,$02,$02
     CHAR	$05,$02,$02,$02,$04,$02,$02,$02
     CHAR	$05,$02,$02,$02,$04,$02,$02,$02
     CHAR	$01,$05,$03,$03,$03,$03,$03,$03
     CHAR	$03,$03,$03,$03,$03,$01,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$02,$03,$07,$07,$07
     CHAR	$02,$02,$02,$04,$02,$02,$02,$05
     CHAR	$02,$02,$02,$04,$02,$02,$02,$05
     CHAR	$02,$02,$02,$04,$02,$02,$02,$01
     CHAR	$05,$03,$03,$03,$03,$03,$03,$03
     CHAR	$03,$03,$03,$03,$03,$03,$01,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$02,$02,$03,$01,$07,$02
     CHAR	$02,$02,$04,$02,$02,$02,$05,$02
     CHAR	$02,$02,$04,$02,$02,$02,$05,$02
     CHAR	$02,$02,$04,$02,$02,$02,$01,$05
     CHAR	$03,$03,$03,$03,$03,$03,$03,$03
     CHAR	$03,$03,$03,$03,$03,$03,$03,$01
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$03,$03,$03,$03,$01,$02
     CHAR	$02,$02,$02,$02,$02,$05,$02,$02
     CHAR	$02,$04,$02,$02,$02,$05,$02,$02
     CHAR	$02,$04,$02,$02,$02,$01,$05,$03
     CHAR	$03,$03,$03,$03,$03,$04,$04,$03
     CHAR	$00,$03,$03,$03,$03,$03,$03,$03
     CHAR	$01,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$03,$03,$03,$03,$03,$01
     CHAR	$02,$02,$02,$02,$05,$02,$02,$02
     CHAR	$04,$02,$02,$02,$05,$02,$02,$02
     CHAR	$04,$02,$02,$02,$01,$05,$03,$03
     CHAR	$03,$03,$03,$03,$04,$03,$03,$03
     CHAR	$03,$00,$03,$03,$03,$03,$03,$03
     CHAR	$01,$01,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$02,$03,$03,$03,$03,$03
     CHAR	$01,$02,$02,$02,$02,$02,$02,$04
     CHAR	$02,$02,$02,$05,$02,$02,$02,$04
     CHAR	$02,$02,$02,$01,$05,$03,$03,$03
     CHAR	$01,$01,$01,$01,$03,$03,$03,$03
     CHAR	$03,$03,$00,$03,$03,$03,$03,$03
     CHAR	$01,$01,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$02,$03,$03,$03,$03
     CHAR	$03,$01,$02,$02,$02,$02,$04,$02
     CHAR	$02,$02,$05,$02,$02,$02,$04,$02
     CHAR	$02,$02,$01,$05,$03,$03,$03,$01
     CHAR	$02,$02,$05,$05,$01,$01,$03,$03
     CHAR	$03,$03,$03,$00,$03,$03,$03,$03
     CHAR	$01,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$02,$03,$03,$03
     CHAR	$03,$03,$01,$02,$02,$02,$02,$02
     CHAR	$02,$05,$02,$02,$02,$04,$02,$02
     CHAR	$02,$01,$05,$03,$03,$03,$01,$02
     CHAR	$02,$02,$02,$02,$05,$05,$01,$03
     CHAR	$03,$03,$03,$03,$04,$04,$01,$01
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$02,$03,$03
     CHAR	$03,$03,$03,$01,$02,$02,$02,$02
     CHAR	$05,$02,$02,$02,$04,$02,$02,$02
     CHAR	$01,$05,$03,$03,$03,$01,$02,$02
     CHAR	$05,$00,$05,$05,$05,$05,$05,$01
     CHAR	$03,$03,$03,$03,$03,$04,$01,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$02,$03
     CHAR	$03,$03,$03,$03,$01,$02,$02,$02
     CHAR	$02,$02,$02,$04,$02,$02,$02,$01
     CHAR	$05,$03,$03,$03,$01,$02,$02,$05
     CHAR	$05,$00,$00,$00,$00,$02,$02,$05
     CHAR	$01,$03,$03,$03,$01,$01,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$02
     CHAR	$03,$03,$03,$03,$03,$01,$02,$02
     CHAR	$02,$02,$04,$02,$02,$02,$01,$05
     CHAR	$03,$03,$03,$01,$02,$02,$05,$05
     CHAR	$05,$05,$05,$00,$04,$00,$02,$02
     CHAR	$05,$01,$03,$03,$01,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$02,$03,$03,$03,$03,$03,$01,$02
     CHAR	$02,$02,$02,$02,$02,$01,$05,$03
     CHAR	$03,$03,$01,$02,$02,$05,$05,$05
     CHAR	$05,$05,$05,$00,$04,$04,$00,$02
     CHAR	$05,$05,$01,$01,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$02,$03,$03,$03,$03,$03,$01
     CHAR	$02,$02,$02,$02,$01,$05,$03,$03
     CHAR	$03,$01,$02,$02,$05,$05,$05,$05
     CHAR	$05,$05,$05,$00,$04,$04,$04,$04
     CHAR	$05,$05,$01,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$02,$03,$03,$03,$03,$03
     CHAR	$01,$02,$02,$01,$05,$03,$03,$03
     CHAR	$01,$02,$02,$05,$04,$04,$01,$02
     CHAR	$05,$05,$05,$05,$04,$04,$04,$04
     CHAR	$00,$01,$03,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$02,$03,$03,$03,$03
     CHAR	$03,$01,$01,$05,$03,$03,$03,$01
     CHAR	$02,$02,$05,$05,$04,$01,$03,$03
     CHAR	$02,$05,$05,$05,$05,$04,$04,$04
     CHAR	$01,$03,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$02,$03,$03,$03
     CHAR	$03,$03,$04,$03,$03,$03,$03,$04
     CHAR	$02,$02,$05,$05,$05,$01,$03,$03
     CHAR	$03,$02,$05,$05,$00,$00,$00,$01
     CHAR	$03,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$02,$03,$03
     CHAR	$03,$03,$03,$03,$03,$03,$03,$01
     CHAR	$02,$02,$05,$05,$05,$05,$01,$03
     CHAR	$03,$03,$02,$05,$00,$00,$01,$03
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$02,$03
     CHAR	$03,$03,$03,$03,$03,$03,$03,$03
     CHAR	$01,$02,$02,$02,$05,$05,$05,$01
     CHAR	$03,$03,$02,$05,$00,$01,$03,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$02
     CHAR	$03,$03,$03,$03,$03,$03,$03,$03
     CHAR	$03,$01,$02,$02,$05,$05,$05,$05
     CHAR	$01,$03,$05,$05,$01,$03,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$02,$03,$03,$03,$03,$03,$03,$03
     CHAR	$03,$03,$01,$02,$02,$02,$05,$05
     CHAR	$00,$00,$00,$01,$03,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$02,$03,$03,$03,$03,$03,$03
     CHAR	$03,$03,$03,$01,$02,$02,$05,$05
     CHAR	$00,$00,$01,$03,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$02,$03,$03,$03,$03,$03
     CHAR	$03,$03,$03,$03,$01,$02,$04,$04
     CHAR	$00,$01,$03,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$02,$03,$03,$03,$03
     CHAR	$03,$03,$03,$03,$03,$01,$04,$04
     CHAR	$01,$03,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$02,$03,$03,$03
     CHAR	$03,$03,$03,$03,$03,$03,$01,$01
     CHAR	$03,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$05,$05,$05
     CHAR	$05,$05,$03,$03,$05,$05,$05,$05
     CHAR	$05,$05,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$05,$05,$05,$05,$05
     CHAR	$05,$05,$05,$05,$05,$07,$07,$07
     CHAR	$07,$05,$05,$05,$05,$07,$07,$07
     CHAR	$07,$05,$04,$04,$04,$04,$04,$04
     CHAR	$04,$04,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$05,$05,$05
     CHAR	$05,$05,$05,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$05,$07,$07,$07
     CHAR	$07,$07,$05,$05,$07,$07,$07,$07
     CHAR	$07,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$04,$04,$04,$04,$04
     CHAR	$04,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$05,$05,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$02,$07,$07,$07
     CHAR	$07,$07,$07,$07,$07,$07,$07,$07
     CHAR	$07,$02,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$04,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$05,$05,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$02,$07,$07,$07
     CHAR	$07,$07,$07,$07,$07,$07,$07,$07
     CHAR	$07,$02,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$04,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$05
     CHAR	$05,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$02,$07,$07,$07
     CHAR	$07,$07,$02,$02,$07,$07,$07,$07
     CHAR	$07,$02,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$04,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$05,$05
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$02,$07,$07,$07
     CHAR	$07,$02,$02,$03,$02,$07,$07,$07
     CHAR	$07,$02,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$04
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$05,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$02,$02,$02,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$02
     CHAR	$02,$02,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$05,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$02,$02,$02,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$02
     CHAR	$02,$02,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$01,$01
     CHAR	$01,$01,$01,$01,$02,$02,$02,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$02
     CHAR	$02,$02,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$02,$02,$02
     CHAR	$02,$02,$02,$03,$02,$02,$02,$02
     CHAR	$02,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$02,$02,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$02
     CHAR	$02,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$05,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$04,$04
     CHAR	$01,$01,$01,$01,$01,$02,$02,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$02
     CHAR	$02,$01,$01,$01,$01,$01,$04,$04
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$02,$02,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$02
     CHAR	$02,$01,$01,$01,$01,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$05,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$01,$01,$02,$02
     CHAR	$02,$02,$02,$03,$02,$02,$02,$02
     CHAR	$01,$01,$01,$01,$01,$01,$04,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$01
     CHAR	$01,$01,$01,$01,$01,$01,$02,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$02
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$01
     CHAR	$01,$01,$01,$01,$01,$01,$02,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$02
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$01,$01,$02,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$02
     CHAR	$01,$01,$01,$01,$01,$01,$04,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$05,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$01,$01,$01,$02
     CHAR	$02,$02,$02,$03,$02,$02,$02,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$04,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$05,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$01,$01,$01,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$05
     CHAR	$05,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$02
     CHAR	$02,$02,$02,$05,$02,$02,$02,$01
     CHAR	$01,$01,$01,$01,$01,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$04,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$05
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$02,$02,$02,$05,$02,$02,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$05,$05
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$02,$02,$02,$03,$02,$02,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$04
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$05,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$01,$01,$01,$01,$01,$01
     CHAR	$02,$02,$02,$05,$02,$02,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$05,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$01,$01,$01,$01,$01,$01
     CHAR	$01,$02,$02,$05,$02,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$01,$01,$01,$01,$01
     CHAR	$01,$02,$02,$05,$02,$01,$01,$01
     CHAR	$01,$01,$01,$04,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$01,$01,$01,$01,$01
     CHAR	$01,$02,$02,$03,$02,$01,$01,$01
     CHAR	$01,$01,$01,$04,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$01,$01,$01,$01
     CHAR	$01,$01,$02,$05,$01,$01,$01,$01
     CHAR	$01,$01,$04,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$05,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$01,$01,$01,$01
     CHAR	$01,$01,$02,$05,$01,$01,$01,$01
     CHAR	$01,$01,$04,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$02,$05,$01,$01,$01,$01
     CHAR	$01,$04,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$05,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$02,$01,$01,$01,$01,$01
     CHAR	$01,$04,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$01,$01
     CHAR	$01,$01,$01,$04,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$01,$01
     CHAR	$01,$01,$01,$04,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$01
     CHAR	$01,$01,$01,$04,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$05,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$05,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$01
     CHAR	$01,$01,$01,$04,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$04,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$05,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$04,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$04,$01,$04,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$05,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$05
     CHAR	$05,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$01,$01,$01,$01,$04,$01,$04,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$04,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$05
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$04,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$04,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$05,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$05,$05
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$01,$01,$01,$04,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$04
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$05,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$04,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$05,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$05,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$04,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$05,$05,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$04
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$05,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$04
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$05,$05
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$05,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$04,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$05
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$04,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$05
     CHAR	$05,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$05,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$04,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$05,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$04,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$05,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$05,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$05,$05,$05,$02,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$05,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$02,$04,$04,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$04,$02,$02,$02,$02,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$05,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$02
     CHAR	$02,$02,$02,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$04,$04,$02,$02,$02,$02
     CHAR	$02,$02,$01,$01,$01,$01,$01,$01
     CHAR	$01,$04,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$05,$05,$01,$01,$01
     CHAR	$01,$01,$01,$01,$02,$02,$02,$02
     CHAR	$02,$02,$04,$04,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$04,$04,$04,$04,$04
     CHAR	$02,$02,$02,$02,$01,$01,$01,$01
     CHAR	$01,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$01,$01,$01
     CHAR	$01,$01,$02,$02,$02,$02,$04,$04
     CHAR	$04,$04,$04,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$04
     CHAR	$04,$04,$02,$02,$02,$02,$04,$04
     CHAR	$04,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$05,$05,$05,$05
     CHAR	$02,$02,$02,$02,$04,$04,$04,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$04,$04,$04,$04,$02,$04,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$05
     CHAR	$05,$04,$04,$04,$04,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$04,$04,$04,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$05
     CHAR	$04,$04,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$04,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$04,$04,$04,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$01,$01,$01,$01,$01,$01,$01,$01
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$05,$04,$04
     CHAR	$04,$04,$04,$04,$04,$04,$04,$04
     CHAR	$04,$04,$04,$04,$04,$04,$04,$04
     CHAR	$04,$04,$04,$04,$04,$04,$04,$04
     CHAR	$04,$04,$04,$04,$04,$04,$04,$04
     CHAR	$04,$04,$04,$04,$04,$04,$04,$04
     CHAR	$04,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
     CHAR	$00,$00,$00,$00,$00,$00,$00,$00
